package com.tmerclub.cloud.supplier.vo;

import io.swagger.v3.oas.annotations.media.Schema;

/**
 * @author gaozijie
 * @date 2023-08-28
 */
public class ShopSupplierNameVO {

    @Schema(description = "商家Id")
    private Long shopId;

    @Schema(description = "商家名称")
    private String shopName;

    @Schema(description = "供应商Id")
    private Long supplierId;

    @Schema(description = "供应商名称")
    private String supplierName;

    public ShopSupplierNameVO() {
    }

    public Long getShopId() {
        return shopId;
    }

    public void setShopId(Long shopId) {
        this.shopId = shopId;
    }

    public String getShopName() {
        return shopName;
    }

    public void setShopName(String shopName) {
        this.shopName = shopName;
    }

    public Long getSupplierId() {
        return supplierId;
    }

    public void setSupplierId(Long supplierId) {
        this.supplierId = supplierId;
    }

    public String getSupplierName() {
        return supplierName;
    }

    public void setSupplierName(String supplierName) {
        this.supplierName = supplierName;
    }

    @Override
    public String toString() {
        return "ShopSupplierListVO{" +
                "shopId=" + shopId +
                ", shopName='" + shopName + '\'' +
                ", supplierId=" + supplierId +
                ", supplierName='" + supplierName + '\'' +
                '}';
    }
}
